import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputeAntiAffinityRuleRemoveResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAntiAffinityRuleRemoveProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def anti_affinity_rule_remove(
        self,
        *,
        vm_id: int,
        topology: _nested.AffinityTopology,
        policy: _nested.AffinityPolicy,
        mode: _nested.AffinityMode,
        key: str,
        value: str,
    ) -> CloudapiComputeAntiAffinityRuleRemoveResultBool:
        ...
